Skip to main content
GET
/
items
Query Items
curl --request GET \
  --url https://api.jtl-cloud.com/erp/items \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "TotalItems": 123,
  "PageNumber": 123,
  "PageSize": 123,
  "Items": [
    {
      "Id": 123,
      "SKU": "<string>",
      "ManufacturerId": 123,
      "ResponsiblePersonId": 123,
      "IsActive": true,
      "Categories": [
        {
          "CategoryId": 123,
          "Name": "<string>"
        }
      ],
      "Name": "<string>",
      "Description": "<string>",
      "ShortDescription": "<string>",
      "Identifiers": {
        "Gtin": "<string>",
        "ManufacturerNumber": "<string>",
        "ISBN": "<string>",
        "UPC": "<string>",
        "AmazonFnsku": "<string>",
        "Asins": [
          "<string>"
        ],
        "OwnIdentifier": "<string>"
      },
      "Components": [
        {
          "ItemId": 123,
          "Quantity": 123,
          "SortNumber": 123
        }
      ],
      "ChildItems": [
        123
      ],
      "ParentItemId": 123,
      "ItemPriceData": {
        "SalesPriceNet": 123,
        "SuggestedRetailPrice": 123,
        "PurchasePriceNet": 123,
        "EbayPrice": 123,
        "AmazonPrice": 123
      },
      "ActiveSalesChannels": [
        "<string>"
      ],
      "SortNumber": 123,
      "Annotation": "<string>",
      "Added": "2023-11-07T05:31:56Z",
      "Changed": "2023-11-07T05:31:56Z",
      "ReleasedOnDate": "2023-11-07T05:31:56Z",
      "StorageOptions": {
        "InventoryManagementActive": true,
        "SplitQuantity": true,
        "GlobalMinimumStockLevel": 123,
        "Buffer": 123,
        "SerialNumberItem": true,
        "SerialNumberTracking": true,
        "SubjectToShelfLifeExpirationDate": true,
        "SubjectToBatchItem": true,
        "ProcurementTime": 123,
        "DetermineProcurementTimeAutomatically": true,
        "AdditionalHandlingTime": 123
      },
      "CountryOfOrigin": "<string>",
      "ConditionId": 123,
      "ShippingClassId": 123,
      "ProductGroupId": 123,
      "TaxClassId": 123,
      "Dimensions": {
        "Length": 123,
        "Width": 123,
        "Height": 123
      },
      "Weights": {
        "ItemWeigth": 123,
        "ShippingWeight": 123
      },
      "AllowNegativeStock": true,
      "Quantities": {
        "MinimumOrderQuantity": 123,
        "MinimumPurchaseQuantityForCustomerGroup": [
          {
            "CustomerGroupId": 123,
            "PermissibleOrderQuantity": 123,
            "MinimumPurchaseQuantity": 123,
            "IsActive": true
          }
        ],
        "PermissibleOrderQuantity": 123
      },
      "DangerousGoods": {
        "UnNumber": "<string>",
        "HazardNo": "<string>"
      },
      "Taric": "<string>",
      "SearchTerms": "<string>",
      "PriceListActive": true,
      "IgnoreDiscounts": true,
      "AvailabilityId": 123
    }
  ],
  "TotalPages": 123,
  "HasPreviousPage": true,
  "HasNextPage": true,
  "NextPageNumber": 123,
  "PreviousPageNumber": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

searchKeyWord
string

A search key word which is using many important item identificators. For more info see documentation or the configuration in the search in items in JTL-Wawi.

categoryId
integer<int32>
manufacturerId
integer<int32>
parentItemId
integer<int32>
changedSince
string<date-time>

The date last changes were made to the item.

isActiveOnSalesChannelId
string

The ID of the sales channel on which this item is active.

pageNumber
integer<int32>

Number of the page of items to fetch.

pageSize
integer<int32>

Size of the page that is specified by pageNumber.

Response

Returns all items, can be filtered by searchKeyWord and postalCode.

Represents a paginated list of items

TotalItems
integer<int32>
required

Gets or sets the total number of items available in the data source.

PageNumber
integer<int32>
required

Gets or sets the current page number in the paginated list.

PageSize
integer<int32>
required

Gets or sets the number of items per page in the paginated list.

Items
object[]
required

Gets or sets the collection of items contained in the paged list.

TotalPages
integer<int32>

Gets the total number of pages based on the total number of items and the page size.

HasPreviousPage
boolean

Gets a value indicating whether there is a previous page available in the paginated list.

HasNextPage
boolean

Gets a value indicating whether there is a next page available.

NextPageNumber
integer<int32>

Gets the number of the next page if there is one; otherwise, returns the total number of pages.

PreviousPageNumber
integer<int32>

Gets the number of the previous page. If there is no previous page, it returns 1.